Subject: bug#17884: closed (Re: 24.3.92; `vc-next-action' discards commit message)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Jul 2014 02:26:02 +0000

Your bug report

#17884: 24.3.92; `vc-next-action' discards commit message

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17884: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17884
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 24.3.92; `vc-next-action' discards commit message
From: Paul Eggert <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Jul 2014 19:25:32 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for reporting that.  I installed a fix in emacs-24 bzr 117371.

Subject: 24.3.92; `vc-next-action' discards commit message
From: Richard Copley <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 30 Jun 2014 16:23:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

It used to be that if you typed "C-v v" from a file buffer for which you
had already started to compose a commit message, you would be taken to
your message so that you could continue composing it. In recent builds
the message gets clobbered by the (unwanted!) text "Summary: ^J".
That's not very nice.

In GNU Emacs 24.3.92.1 (x86_64-w64-mingw32)
 of 2014-06-30 on 80461UHB
Repository revision: 117326
[email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix c:/emacs/emacs-117326 --disable-dependency-tracking
 --enable-locallisppath=%emacs_dir%/../site-lisp --with-wide-int
 --build=x86_64-w64-mingw32 'CPPFLAGS=-I G:/usr/include -I
 C:/GnuWin32/include' 'LDFLAGS=-L G:/usr/lib -L C:/GnuWin32/lib''

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252

Major mode: Log-Edit

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f \ t e m p \ t e s t \ t e s t . t x t <return>
C-x v v T h i s SPC t o o k SPC m e SPC a g e s . C-x
v v O h ! M-x r - e - b <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug sendmail log-edit easy-mmode
message format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mm-util help-fns
mail-prsvr mailabbrev mail-utils gmm-utils mailheader ring pcvs-util
add-log vc vc-dispatcher vc-rcs time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 16 79005 8573)
 (symbols 56 18045 0)
 (miscs 48 49 159)
 (strings 32 12796 4781)
 (string-bytes 1 329463)
 (vectors 16 9811)
 (vector-slots 8 383011 9074)
 (floats 8 62 207)
 (intervals 56 246 0)
 (buffers 960 16))